package com.backendsys.modules.upload.enums;

public enum TargetEnums {

    ;
    private String value;
    public String getValue() {
        return this.value;
    }
    TargetEnums(String value) {
        this.value = value;
    }

    // 新增一个静态方法，根据整数返回对应的枚举值
    public static String targetToLabel(int value) {
        switch (value) {
            case -1: return "本地";
            case 1: return "腾讯云";
            case 2: return "阿里云";
            case 3: return "抖音云";
            default:
                throw new IllegalArgumentException("Invalid code: " + value);
        }
    }

}
